MCLRECV2(1)

NAME
mclrecv2 - receives a single file using the MultiCast Library (MCL)

SYNOPSIS
mclrecv2 [-h[elp]] [-a address[/port] [-l nb_of_layers] [-p rx_profile] [-v verbosity_level] [-m stripping_mode_flag]

DESCRIPTION
mclrecv2 is meant to easily test all the advanced features of the MultiCast library (MCL). It is a simplified multicast file transfer tool that is used along with mclsend2 . Compared to the fcast multicast file transfer tool, it has limited possibilities (e.g. there is no recursive mode, no attribute is communicated along with the file, there is no checksum). Less efforts have also been spent on the tool conviviality (e.g. concerning the argument names). But mclsend2 / mclrecv2 are extremely valuable to test and compare many advanced features of the MCL library as the user controls many (usually hidden) parameters.

OPTIONS
The following arguments can be provided.

-a address[/port]
    Specifies the unicast or multicast address of the base layer (and its UDP port number). (communicated to MCL) If no -a and/or /port argument is provided, then the default target address and port number of MCL are used. With multicast addresses, the address and port number of layers 1 and above are derived from that of the base layer by MCL (usually by incrementing the address and port). (communicated to MCL)

-h[elp]
    Short help. Gives the credits and all the possible arguments.

-l number_of_layers
    Specifies the number of layers to use in MCL. If not specified, the default value of MCL is used instead. (communicated to MCL)

-m stripping_mode_flag
    Specifies if stripping should be used (value of 1, the default) or not (value of 0). Stripping a file means that this latter is split into multiple independent fragments before being submitted to MCL. WARNING: is stripping mode is set in mclsend2, then it must also be set in mclrecv2!

-p rx_profile
    Specifies the reception profile. Possible values are today: 0 (LOW_RATE_INTERNET), 1 (MID_RATE_INTERNET), and 2 (HIGH_SPEED_LAN). If not specified, the default value of MCL is used instead. (communicated to MCL) WARNING: it is important that the transmission and reception profiles match (some parameters like the LCT symbol size are not automatically communicated in the current version of MCL).

-v verbosity_level
    Specifies the level of verbosity desired. (communicated to MCL)

RETURN VALUE
The received file is written to a temporary file, usually "/tmp/mclftp_xxxx" where "xxxx" is automatically replaced by a locally unique sequence number. It is left to the user to remove this file or rename it. On success returns 0.

EXAMPLE
Here is a simple example. Traces are produced for each symbol received:
mclrecv2 -v1 -a230.1.2.3/2323
A more complex example is the following:
mclrecv2 -a230.1.2.3/2323 -v1 -m1

COPYRIGHTS
Copyright (c) 1999-2002 INRIA - Universite Paris 6 -
All rights reserved
(main author: Vincent Roca - vincent.roca@inrialpes.fr)
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

SEE ALSO
mclsend2(1), fcast(1), mcl_ctl(3), MCL documentation

AUTHORS
Vincent Roca (INRIA Rhone-Alpes, Planete project) $Id: mclrecv2.man.1,v 1.1.1.1 2003/05/12 09:45:26 roca Exp $